package ink.wgink.login.base.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LoginType
 * @Description: 登录类型
 * @Author: WangGeng
 * @Date: 2019/12/26 16:54
 * @Version: 1.0
 **/
public enum LoginTypeEnum {
    USERNAME_AND_PASSWORD("1"),
    USERNAME_AND_PASSWORD_AND_UKEY("2"),
    UKEY("3"),
    DING_DING_SCAN_CODE("4");

    private String value;

    LoginTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value;
    }
}
